IntelliCAD 11.1 Object Library
AddWedge Method
See Also 
Origin
A Point object identifying the origin point of the wedge.
Length
The length of the wedge along the x axis.
Width
The width of the wedge along the y axis.
Height
The height of the wedge along hte z axis.
ModelSpace Collection : AddWedge Method

Description

 

Syntax

Visual Basic
Public Function AddWedge( _
   ByVal Origin As Point, _
   ByVal Length As Double, _
   ByVal Width As Double, _
   ByVal Height As Double _
) As Solid3D

Parameters

Origin
A Point object identifying the origin point of the wedge.
Length
The length of the wedge along the x axis.
Width
The width of the wedge along the y axis.
Height
The height of the wedge along hte z axis.

Example

Private Sub AddWedge_Example()

     ' This example adds a wedge to the drawing using the AddWedge method.

     Dim myDoc As IntelliCAD.Document

     Dim wedgeObj As IntelliCAD.PolygonMesh

     Dim origPt As Point

     Set myDoc = ActiveDocument

     Set origPt = Library.CreatePoint(2, 1, 0)

     Set wedgeObj = ThisDocument.ModelSpace.AddWedge(origPt, 3, 2, 2)

     wedgeObj.Update

ThisDocument.Application.ZoomExtents

End Sub

See Also

© 2022 IntelliCAD Technology Consortium. All Rights Reserved.